LaminateGlobalLayupPlyGroupCollection Class

class NXOpen.CAE.LaminateGlobalLayupPlyGroupCollection

Bases: object

Represents a laminate layup in the global layup context (ply based modeling), which is defined by a sequence of NXOpen.CAE.LaminatePlyGroup, each with a name and a list of plies.

To obtain an instance of this class, refer to NXOpen.CAE.LaminateGlobalLayup

New in version NX6.0.0.

Methods

Method Description
DeletePlyGroup Deletes a NXOpen.CAE.LaminatePlyGroup by index
FindObject Finds the NXOpen.CAE.LaminatePlyGroup with the given identifier as recorded in a journal.
GetPlyGroup Finds a NXOpen.CAE.LaminatePlyGroup from layup @return group found
InsertCohesiveLayer Creates a new cohesive layer (SAMCEF environment) in the layup @return PlyGroup created to hold the cohesive layer
InsertLinkedPlyGroup Creates a linked NXOpen.CAE.LaminatePlyGroup inserted in the laminate layup at the specified index @return PlyGroup created
InsertPlyExtension Creates an extension NXOpen.CAE.LaminatePly @return Created ply extension
InsertPlyGroup Creates an empty NXOpen.CAE.LaminatePlyGroup inserted in the laminate layup at the specified index @return PlyGroup created
InsertSinglePly Creates a new, simple NXOpen.CAE.LaminatePlyGroup holding a default ply, and inserted in the laminate layup at the specified index @return PlyGroup created to hold the single ply

Method Detail

DeletePlyGroup

LaminateGlobalLayupPlyGroupCollection.DeletePlyGroup

Deletes a NXOpen.CAE.LaminatePlyGroup by index

Signature DeletePlyGroup(groupIndex)

Parameters:groupIndex (int) – index of group to remove

New in version NX6.0.0.

License requirements: nx_lam_composites (“Laminate Composites”)

FindObject

LaminateGlobalLayupPlyGroupCollection.FindObject

Finds the NXOpen.CAE.LaminatePlyGroup with the given identifier as recorded in a journal.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Identifier to be found
Returns:ply group found
Return type:NXOpen.CAE.LaminatePlyGroup

New in version NX7.5.0.

License requirements: nx_lam_composites (“Laminate Composites”)

GetPlyGroup

LaminateGlobalLayupPlyGroupCollection.GetPlyGroup

Finds a NXOpen.CAE.LaminatePlyGroup from layup

Signature GetPlyGroup(groupIndex)

Parameters:groupIndex (int) – index in the sequence
Returns:group found
Return type:NXOpen.CAE.LaminatePlyGroup

New in version NX6.0.0.

License requirements: nx_lam_composites (“Laminate Composites”)

InsertCohesiveLayer

LaminateGlobalLayupPlyGroupCollection.InsertCohesiveLayer

Creates a new cohesive layer (SAMCEF environment) in the layup

Signature InsertCohesiveLayer(insertionIndex)

Parameters:insertionIndex (int) – index in the sequence to insert at
Returns:PlyGroup created to hold the cohesive layer
Return type:NXOpen.CAE.LaminatePlyGroup

New in version NX10.0.0.

License requirements: nx_lam_composites (“Laminate Composites”)

InsertLinkedPlyGroup

LaminateGlobalLayupPlyGroupCollection.InsertLinkedPlyGroup

Creates a linked NXOpen.CAE.LaminatePlyGroup inserted in the laminate layup at the specified index

Signature InsertLinkedPlyGroup(name, linkType, parentName, insertionIndex)

Parameters:
  • name (str) – Name of ply group
  • linkType (NXOpen.CAE.LaminatePlyGroupLink) – Type of link
  • parentName (str) – name of parent PlyGroup
  • insertionIndex (int) – index in the sequence to insert at
Returns:

PlyGroup created

Return type:

NXOpen.CAE.LaminatePlyGroup

New in version NX6.0.0.

License requirements: nx_lam_composites (“Laminate Composites”)

InsertPlyExtension

LaminateGlobalLayupPlyGroupCollection.InsertPlyExtension

Creates an extension NXOpen.CAE.LaminatePly

Signature InsertPlyExtension(plyGroup, insertionIndex, targetPly)

Parameters:plyGroup – Group in which the ply is to be added.

If NULL, then a single ply group will be created. :type plyGroup: NXOpen.CAE.LaminatePlyGroup :param insertionIndex: Index in the sequence to insert at. :type insertionIndex: int :param targetPly: Target of the ply extension :type targetPly: NXOpen.CAE.LaminatePly :returns: Created ply extension :rtype: NXOpen.CAE.LaminatePly

New in version NX8.5.0.

License requirements: nx_lam_comp_adv (“Laminate Composites Advanced”)

InsertPlyGroup

LaminateGlobalLayupPlyGroupCollection.InsertPlyGroup

Creates an empty NXOpen.CAE.LaminatePlyGroup inserted in the laminate layup at the specified index

Signature InsertPlyGroup(name, insertionIndex)

Parameters:
  • name (str) – Name of ply group
  • insertionIndex (int) – index in the sequence to insert at
Returns:

PlyGroup created

Return type:

NXOpen.CAE.LaminatePlyGroup

New in version NX6.0.0.

License requirements: nx_lam_composites (“Laminate Composites”)

InsertSinglePly

LaminateGlobalLayupPlyGroupCollection.InsertSinglePly

Creates a new, simple NXOpen.CAE.LaminatePlyGroup holding a default ply, and inserted in the laminate layup at the specified index

Signature InsertSinglePly(insertionIndex)

Parameters:insertionIndex (int) – index in the sequence to insert at
Returns:PlyGroup created to hold the single ply
Return type:NXOpen.CAE.LaminatePlyGroup

New in version NX6.0.0.

License requirements: nx_lam_composites (“Laminate Composites”)